cairomm: Cairo::Win32FontFace Class Reference

cairomm 1.0

Static Public Member Functions | Protected Member Functions | List of all members
Cairo::Win32FontFace Class Reference

Font support for Microsoft Windows. More...

Inheritance diagram for Cairo::Win32FontFace:
[legend]

## Static Public Member Functions
static RefPtr< Win32FontFace > | create (LOGFONTW* logfont)
| Creates a new font for the Win32 font backend based on a LOGFONT. More...
static RefPtr< Win32FontFace > | create (HFONT font)
| Creates a new font for the Win32 font backend based on a HFONT. More...
static RefPtr< Win32FontFace > | create (LOGFONTW* logfont, HFONT font)
| Creates a new font for the Win32 font backend based on a LOGFONT. More...

## Protected Member Functions
| Win32FontFace (LOGFONTW* logfont)
| Win32FontFace (HFONT font)
| Win32FontFace (LOGFONTW* logfont, HFONT font)

## Additional Inherited Members
Public Types inherited from Cairo::FontFace
typedef cairo_font_face_t | cobject
Public Member Functions inherited from Cairo::FontFace
| FontFace (cairo_font_face_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance. More...
| FontFace (const FontFace&)=delete
FontFace& | operator= (const FontFace&)=delete
virtual | ~FontFace ()
FontType | get_type () const
| Returns the type of the backend used to create a font face. More...
cobject* | cobj ()
const cobject* | cobj () const
void | reference () const
void | unreference () const
Protected Attributes inherited from Cairo::FontFace
cobject* | m_cobject

## Detailed Description

Font support for Microsoft Windows.

Since
  1.8

## Constructor & Destructor Documentation

## § Win32FontFace() [1/3]

Cairo::Win32FontFace::Win32FontFace | ( | LOGFONTW * | logfont | ) |
| protected

## § Win32FontFace() [2/3]

Cairo::Win32FontFace::Win32FontFace | ( | HFONT | font | ) |
| protected

## § Win32FontFace() [3/3]

Cairo::Win32FontFace::Win32FontFace | ( | LOGFONTW * | logfont,
|  | HFONT | font
| ) |  |
| protected

## Member Function Documentation

## § create() [1/3]

static RefPtr<Win32FontFace> Cairo::Win32FontFace::create | ( | LOGFONTW * | logfont | ) |
| static

Creates a new font for the Win32 font backend based on a LOGFONT.

This font can then be used with Context::set_font_face() or Win32ScaledFont::create().

Parameters

  logfont | A LOGFONTW structure specifying the font to use. The lfHeight, lfWidth, lfOrientation and lfEscapement fields of this structure are ignored.

Since
  1.8

## § create() [2/3]

static RefPtr<Win32FontFace> Cairo::Win32FontFace::create | ( | HFONT | font | ) |
| static

Creates a new font for the Win32 font backend based on a HFONT.

This font can then be used with Context::set_font_face() or Win32ScaledFont::create().

Parameters

  font | An HFONT structure specifying the font to use.

Since
  1.8

## § create() [3/3]

static RefPtr<Win32FontFace> Cairo::Win32FontFace::create | ( | LOGFONTW * | logfont,
|  | HFONT | font
| ) |  |
| static

Creates a new font for the Win32 font backend based on a LOGFONT.

This font can then be used with Context::set_font_face() or Win32ScaledFont::create().

Parameters

  logfont | A LOGFONTW structure specifying the font to use. If hfont is null then the lfHeight, lfWidth, lfOrientation and lfEscapement fields of this structure are ignored. Otherwise lfWidth, lfOrientation and lfEscapement must be zero.
  font | An HFONT that can be used when the font matrix is a scale by -lfHeight and the CTM is identity.

Since
  1.8

The documentation for this class was generated from the following file:

- cairomm/win32_font.h